API Reference
Careers API
Public job listing endpoints and admin endpoints for managing career postings.
The Careers API serves public job listings and provides admin endpoints for creating and managing career postings.
List Positions
GET /api/v1/careers — Public
Get Position
GET /api/v1/careers/:id — Public
All Positions (Admin)
GET /api/v1/careers/admin/all — Admin
Create Position (Admin)
POST /api/v1/careers — Admin
Update Position (Admin)
PATCH /api/v1/careers/:id — Admin
Delete Position (Admin)
DELETE /api/v1/careers/:id — Admin
List Open Positions
Retrieve all published job openings.
GET /api/v1/careers — Auth: None (public)
curl https://api.qriotag.global/api/v1/careersResponse
{
"success": true,
"data": [
{
"id": "job_001",
"title": "Senior Backend Engineer",
"department": "Engineering",
"location": "Remote",
"type": "FULL_TIME",
"description": "We are looking for a senior backend engineer to help build...",
"publishedAt": "2025-05-01T09:00:00.000Z"
},
{
"id": "job_002",
"title": "Product Designer",
"department": "Design",
"location": "New York, NY",
"type": "FULL_TIME",
"description": "Join our design team to shape the QrioTag experience...",
"publishedAt": "2025-05-15T09:00:00.000Z"
}
]
}Get Position Details
Retrieve a single job posting by ID.
GET /api/v1/careers/:id — Auth: None (public)
curl https://api.qriotag.global/api/v1/careers/job_001Response
{
"success": true,
"data": {
"id": "job_001",
"title": "Senior Backend Engineer",
"department": "Engineering",
"location": "Remote",
"type": "FULL_TIME",
"description": "We are looking for a senior backend engineer...",
"requirements": [
"5+ years of backend development experience",
"Strong TypeScript and Node.js skills",
"Experience with PostgreSQL and Redis"
],
"benefits": [
"Fully remote",
"Competitive salary",
"Health insurance"
],
"applyUrl": "https://jobs.qriotag.com/apply/job_001",
"publishedAt": "2025-05-01T09:00:00.000Z"
}
}Admin Endpoints
Was this page helpful?